
Redmine - Feature #1311

Subversion: Show revision histories for branches

2008-05-27 07:51 - Colan Schwartz

Status: New Start date: 2008-05-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be great if revision histories could be viewed for specific branches in the repository tree as discussed over at 

http://www.redmine.org/boards/1/topics/show/861.  I just migrated from Trac, and I really miss this feature.  In Trac, you can specify

a URL like http://trac.example.com/log/sandboxes/colan to show you revisions specific to the /sandboxes/colan part of the tree.

Related issues:

Related to Redmine - Patch #3357: Revision log relative to current location i... New 2009-05-13

Related to Redmine - Feature #1443: Making the Repository module as nice as t... New 2008-06-13

Related to Redmine - Defect #7984: Confusing revisions links on repository root New 2011-03-24

Related to Redmine - Feature #7246: Handle "named branch" for mercurial Closed 2011-01-07

Related to Redmine - Feature #539: Repository browser per Project Version. New

Related to Redmine - Patch #6159: Subversion: latest changesets performance i... New 2010-08-17

Related to Redmine - Feature #5279: Branch level associations between project... New 2010-04-09

Related to Redmine - Patch #1601: Make second level navigation for all views ... New 2008-07-08

Has duplicate Redmine - Feature #3331: Show 'Latest revisions' for sub-trees ... Closed 2009-05-10

Has duplicate Redmine - Feature #3345: Link to view subversion directory chan... Closed 2009-05-12

Precedes Redmine - Defect #3943: Subversion: Directory revision list contains... New 2009-09-29

History

#1 - 2008-05-27 08:29 - Anonymous

I'd like to see this too

#2 - 2008-06-13 14:29 - Jani Tiainen

+1

It's really painful to see non related commits, for example if you take look at 0.7-stable branch here, there is no easy way to find what changesets

belongs to this particular branch and which are just "noise" from other branches.

#3 - 2008-10-09 01:54 - Mischa The Evil

+10...

Will try to create a patch for it. See if I'm skilled enough but looking at the code it shouldn't be that difficult I think... ;-)

#4 - 2008-12-08 16:09 - Mischa The Evil

- Category set to SCM

- Assignee set to Mischa The Evil

#5 - 2008-12-08 16:59 - Mischa The Evil

- Status changed from New to 7

#6 - 2009-09-02 18:54 - Mischa The Evil

To me it seems Jean-Philippe Lang has implemented this feature in r2849:

add latest changesets for the current directory when browsing the repository and a link to the full log
 Will test it and update this issue according to the results...

#7 - 2009-10-04 23:49 - Mischa The Evil

Mischa The Evil wrote:

To me it seems Jean-Philippe Lang has implemented this feature in r2849:

add latest changesets for the current directory when browsing the repository and a link to the full log

 Will test it and update this issue according to the results...

 See issue #3943; r2849 provides the basics for this issue's feature only.

#8 - 2010-10-17 04:29 - Mischa The Evil

- Status changed from 7 to Resolved

- Assignee deleted (Mischa The Evil)

I'm not working on this issue anymore.

#9 - 2010-10-17 04:29 - Mischa The Evil

- Status changed from Resolved to New

Corrected issue-status.

#10 - 2011-03-23 05:34 - Toshi MARUYAMA

- Subject changed from Show revision histories for branches to Subversion: Show revision histories for branches
